@import './../../../../scss/variables.scss';

.download-button {
  button {
    background-color: transparent;
    padding: 0;
  }
}

.resource-icon-download {
  border: 1px solid $grey-super-light-color;
  border-radius: 4px;
  width: 2.75rem;
  height: 2.75rem;

  a {
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  svg {
    height: 2.5rem;
    width: 2.5rem;
    fill: $link-color;
  }

  &:hover svg {
    opacity: 0.7;
  }
}


.resource-icon-cancel {
  border: 1px solid $grey-super-light-color;
  border-radius: 4px;
  position: relative;
  width: 2.75rem;
  height: 2.75rem;

  svg {
    position: absolute;
    height: 2rem;
    width: 2rem;
    left: calc(50% - 1rem);
    top: calc(50% - 1rem);
    fill: $link-color;
    opacity: 0.6;
  }

  img {
    position: absolute;
    height: 0.875rem;
    width: 0.875rem;
    left: calc(50% - 0.4375rem);
    top: calc(50% - 0.4375rem);
  }

  &:hover img {
    opacity: 0.6;
  }
}
